Package io.vertx.rxjava3.core.http

## Class HttpRequestHead

- java.lang.Object
- - io.vertx.rxjava3.core.http.HttpRequestHead

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`
  Direct Known Subclasses:
    `HttpServerRequest`

      public class HttpRequestHead
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  The state of the HTTP request head:
  - Method / URI
  - Headers

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<HttpRequestHead>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpRequestHead​(HttpRequestHead delegate)` |
    `HttpRequestHead​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `HttpRequestHead` | `getDelegate()` |
    `String` | `getHeader​(CharSequence headerName)` | Return the first header value with the specified name
    `String` | `getHeader​(String headerName)` | Return the first header value with the specified name
    `int` | `hashCode()` |
    `MultiMap` | `headers()` |
    `HttpMethod` | `method()` |
    `static HttpRequestHead` | `newInstance​(HttpRequestHead arg)` |
    `String` | `path()` |
    `String` | `query()` |
    `String` | `toString()` |
    `String` | `uri()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HttpRequestHead> __TYPE_ARG

  - ### Constructor Detail

    - #### HttpRequestHead

          public HttpRequestHead​(HttpRequestHead delegate)

    - #### HttpRequestHead

          public HttpRequestHead​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HttpRequestHead getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### method

          public HttpMethod method()

      Returns:
        the HTTP method for the request.

    - #### uri

          public String uri()

      Returns:
        the URI of the request. This is usually a relative URI

    - #### path

          public String path()

      Returns:
        The path part of the uri. For example `/somepath/somemorepath/someresource.foo`

    - #### query

          public String query()

      Returns:
        the query part of the uri. For example `someparam=32&someotherparam=x`

    - #### headers

          public MultiMap headers()

      Returns:
        the headers

    - #### getHeader

          public String getHeader​(String headerName)

      Return the first header value with the specified name
      Parameters:
        `headerName` - the header name
      Returns:
        the header value

    - #### getHeader

          public String getHeader​(CharSequence headerName)

      Return the first header value with the specified name
      Parameters:
        `headerName` - the header name
      Returns:
        the header value

    - #### newInstance

          public static HttpRequestHead newInstance​(HttpRequestHead arg)